# Uses of Class
java.awt.dnd.DragSource

Packages that use DragSource
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.

## Uses of DragSource in java.awt

Methods in java.awt with parameters of type DragSource
Modifier and Type
Method
Description
`<T extends DragGestureRecognizer>
T`
Toolkit.`createDragGestureRecognizer(Class<T> abstractRecognizerClass, DragSource ds, Component c, int srcActions, DragGestureListener dgl)`
Creates a concrete, platform dependent, subclass of the abstract DragGestureRecognizer class requested, and associates it with the DragSource, Component and DragGestureListener specified.

## Uses of DragSource in java.awt.dnd

Fields in java.awt.dnd declared as DragSource
Modifier and Type
Field
Description
`protected DragSource`
DragGestureRecognizer.`dragSource`
The `DragSource` associated with this `DragGestureRecognizer`.
Methods in java.awt.dnd that return DragSource
Modifier and Type
Method
Description
`static DragSource`
DragSource.`getDefaultDragSource()`
Gets the `DragSource` object associated with the underlying platform.
`DragSource`
DragGestureEvent.`getDragSource()`
Returns the `DragSource`.
`DragSource`
DragGestureRecognizer.`getDragSource()`
This method returns the `DragSource` this `DragGestureRecognizer` will use in order to process the Drag and Drop operation.
`DragSource`
DragSourceContext.`getDragSource()`
Returns the `DragSource` that instantiated this `DragSourceContext`.
Constructors in java.awt.dnd with parameters of type DragSource
Modifier
Constructor
Description
`protected`
`DragGestureRecognizer(DragSource ds)`
Construct a new `DragGestureRecognizer` given the `DragSource` to be used in this Drag and Drop operation.
`protected`
`DragGestureRecognizer(DragSource ds, Component c)`
Construct a new `DragGestureRecognizer` given the `DragSource` to be used in this Drag and Drop operation, and the `Component` this `DragGestureRecognizer` should "observe" for drag initiating gestures.
`protected`
`DragGestureRecognizer(DragSource ds, Component c, int sa)`
Construct a new `DragGestureRecognizer` given the `DragSource` to be used in this Drag and Drop operation, the `Component` this `DragGestureRecognizer` should "observe" for drag initiating gestures, and the action(s) supported for this Drag and Drop operation.
`protected`
`DragGestureRecognizer(DragSource ds, Component c, int sa, DragGestureListener dgl)`
Construct a new `DragGestureRecognizer` given the `DragSource` to be used in this Drag and Drop operation, the `Component` this `DragGestureRecognizer` should "observe" for drag initiating gestures, the action(s) supported for this Drag and Drop operation, and the `DragGestureListener` to notify once a drag initiating gesture has been detected.
`protected`
`MouseDragGestureRecognizer(DragSource ds)`
Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component`.
`protected`
`MouseDragGestureRecognizer(DragSource ds, Component c)`
Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, and the `Component` to observe.
`protected`
`MouseDragGestureRecognizer(DragSource ds, Component c, int act)`
Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, the `Component` to observe, and the action(s) permitted for this drag operation.
`protected`
`MouseDragGestureRecognizer(DragSource ds, Component c, int act, DragGestureListener dgl)`
Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, the `Component` to observe, the action(s) permitted for this drag operation, and the `DragGestureListener` to notify when a drag gesture is detected.